> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# List

GET https://api.icepanel.io/v1/landscapes/{landscapeId}/versions/{versionId}/flows

Reference: https://developer.icepanel.io/api-reference/flows/list

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `landscapeId` (string, required)
- `versionId` (string, required)

### Query parameters

- `filter` (FlowFilter, optional)

## Response

### 200

OK

- `flows` (list of Flow, required)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### FlowFilter

- `diagramId` (string, optional)
- `handleId` (FlowFilterHandleId, optional)
- `labels` (map from string to string, optional)
- `name` (string, optional)
- `pinned` (boolean, optional)

### Flow

- `commit` (double, required)
- `index` (double, required)
- `labels` (map from string to string, required)
- `name` (string, required)
- `pinned` (boolean, required)
- `showAllSteps` (boolean, required)
- `showConnectionNames` (boolean, required)
- `steps` (map from string to FlowStep, required)
- `diagramId` (string, required)
- `handleId` (string, required)
- `createdAt` (datetime, required)
- `createdBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `createdById` (string, required)
- `id` (string, required)
- `landscapeId` (string, required)
- `updatedAt` (datetime, required)
- `updatedBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `updatedById` (string, required)
- `version` (double, required)
- `versionId` (string, required)
- `pinnedAt` (datetime, optional)
- `pinnedIndex` (double, optional)
- `deletedAt` (datetime, optional)
- `deletedBy` (enum, optional)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `deletedById` (string, optional)
- `latestEntityId` (string, optional)
- `viewedAt` (datetime, optional)
- `viewedBy` (enum, optional)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `viewedById` (string, optional)

### FlowFilterHandleId

- string
- list of string

### FlowStep

- `description` (string, required) — Descriptive name for the flow step
- `flowId` (string, required, nullable)
- `id` (string, required)
- `index` (double, required)
- `originId` (string, required, nullable)
- `parentId` (string, required, nullable)
- `paths` (map from string to FlowStepPath, required, nullable)
- `targetId` (string, required, nullable)
- `type` (enum, required, nullable) — Type of flow step - deprecated values: reply
  - Allowed values: `alternate-path`, `subflow`, `outgoing`, `parallel-path`, `reply`, `self-action`, `introduction`, `information`, `conclusion`
- `viaId` (string, required, nullable)
- `detailedDescription` (string, optional) — Long description for the flow step

### FlowStepPath

- `id` (string, required)
- `index` (double, required)
- `name` (string, required)

## Examples

**Response**

```json
{
  "flows": [
    {
      "commit": 1.1,
      "index": 1.1,
      "labels": {},
      "name": "string",
      "pinned": true,
      "showAllSteps": true,
      "showConnectionNames": true,
      "steps": {},
      "diagramId": "string",
      "handleId": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "createdBy": "user",
      "createdById": "string",
      "id": "string",
      "landscapeId": "string",
      "updatedAt": "2024-01-15T09:30:00Z",
      "updatedBy": "user",
      "updatedById": "string",
      "version": 1.1,
      "versionId": "string",
      "pinnedAt": "2024-01-15T09:30:00Z",
      "pinnedIndex": 1.1,
      "deletedAt": "2024-01-15T09:30:00Z",
      "deletedBy": "user",
      "deletedById": "string",
      "latestEntityId": "string",
      "viewedAt": "2024-01-15T09:30:00Z",
      "viewedBy": "user",
      "viewedById": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/flows"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/flows"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/flows");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```